Subject: Re: bug#31726: confirming proposed change

From: [email-masked] (Ludovic Courtès)
Date: Sat, 09 Jun 2018 22:34:05 +0200

Hi,

Jack Hill <[email-masked]> skribis:

>> Jack Hill <[email-masked]> skribis:
>>
>>> Sure, I'll give make a path a go. You're thinking that I should try
>>> applying the changes that the commit introduced as part of our package
>>> definition?
>>
>> Yes, either that or use a snapshot of upstream haskell-mode.
>
> I have started workign on a patch implementing the former. I've
> included what I have so far below, but it's not ready to be included
> in the distribution because not all of the tests pass. Maybe this is
> because the one patch shouldn't be applied in issolation and it would
> be bettter to take the snapshot approach?
>
> Otherwise, is what I did with the package revision reasonable?

Yes, definitely.

> From 62ae1a14c48f3d70e6f47ffd6de60a0b9af9d43f Mon Sep 17 00:00:00 2001
> From: Jack Hill <[email-masked]>
> Date: Thu, 7 Jun 2018 22:54:12 -0400
> Subject: [PATCH] Patch haskell-mode to remove unused lexical variables
>
> ---
>  gnu/packages/emacs.scm                             | 174 +++++++++++----------
>  ...ell-mode-removed-unused-lexical-variables.patch |  42 +++++
>  2 files changed, 131 insertions(+), 85 deletions(-)
>  create mode 100644 gnu/packages/patches/haskell-mode-removed-unused-lexical-variables.patch

You’ll need to add the patch to gnu/local.mk.

> --- /dev/null
> +++ b/gnu/packages/patches/haskell-mode-removed-unused-lexical-variables.patch

Please add a line or two with the URL of the upstream bug report or
patch, and maybe a few words on what the patch is about.

Thank you!

Ludo’.